Bug 461107 (CVE-2003-1564) - CVE-2003-1564 libxml2: billion laughs DoS attack
Summary: CVE-2003-1564 libxml2: billion laughs DoS attack
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2003-1564
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-04 08:54 UTC by Tomas Hoger
Modified: 2019-09-29 12:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-11 14:08:00 UTC


Attachments (Terms of Use)
Public test case (1.24 KB, text/plain)
2008-09-04 08:55 UTC, Tomas Hoger
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0886 0 normal SHIPPED_LIVE Important: libxml2 security update 2008-09-11 13:45:08 UTC

Description Tomas Hoger 2008-09-04 08:54:37 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2003-1564 to the following vulnerability:

libxml2, possibly before 2.5.0, does not properly detect recursion
during entity expansion, which allows context-dependent attackers to
cause a denial of service (memory and CPU consumption) via a crafted
XML document containing a large number of nested entity references,
aka the "billion laughs attack."

References:
http://www.stylusstudio.com/xmldev/200302/post20020.html
http://www.reddit.com/r/programming/comments/65843/time_to_upgrade_libxml2
http://xmlsoft.org/news.html
http://mail.gnome.org/archives/xml/2008-August/msg00034.html

Comment 1 Tomas Hoger 2008-09-04 08:55:59 UTC
Created attachment 315726 [details]
Public test case

Source: http://www.cogsci.ed.ac.uk/~richard/billion-laughs.xml

Comment 2 Tomas Hoger 2008-09-04 09:02:32 UTC
libxml2 versions as shipped in Red Hat Enterprise Linux 3, 4 and 5 are based on upstream version that detects this this type of attack.  Additionally, detection was further improved recently in the patch for the "attribute value" variant of this attack known as CVE-2008-3281 (see bug #458086 and bug #460396).

Comment 6 Red Hat Product Security 2008-09-11 14:08:00 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0886.html


Note You need to log in before you can comment on or make changes to this bug.